
Name: kmousetool
Version: 17.12.3
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Summary: Automatic Mouse Click
Group: Graphical desktop/KDE5
Url: http://www.kde.org/applications/games/kmousetool/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description 
%name is a Linux-based KDE program. It clicks the mouse for you, so you
don't have to. KMouseTool works with any mouse or pointing device.

%files
#%_sysconfdir
%_kf5_bindir
%_kf5_datadir
#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides the %name handbook.

%files -n %name-handbook
%doc %_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

